# Enhancements for Webhooks

* We have improved webhook payload for scheduled events with more data. The changes applied to the following webhooks, `LISTING_CANDIDATE_SCHEDULE_TIMESLOT_BOOKING_REMOVED_CANDIDATE`\
  `LISTING_CANDIDATE_SCHEDULE_TIMESLOT_BOOKING_REMOVED_ADMIN`\
  `LISTING_CANDIDATE_SCHEDULE_TIMESLOT_BOOKED_CANDIDATE`\
  `LISTING_CANDIDATE_SCHEDULE_TIMESLOT_BOOKED_ADMIN`

{% hint style="info" %}
Detail payload can be found in the [scheduling webhook section](/webhooks/listing-scheduling-events.md)
{% endhint %}

```graphql
...existingKeys
timeslot: {
   ...existingKeys
   responsibleUser: {
        id: String;
        email: String;
        firstName: String;
        lastName: String;
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/change-log/releases/enhancements-for-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
